image: clojure:openjdk-18-lein-slim-bullseye

services:
  - postgres:latest

variables:
  TESTING: "true"
  POSTGRES_DB: "database"
  POSTGRES_USER: "username"
  POSTGRES_PASSWORD: "password"
  POSTGRES_HOST_AUTH_METHOD: "md5"

build:
  script:
    - lein migrate
    - lein uberjar
    - mv target/*-standalone.jar ./

  artifacts:
    name: "ifpadmin-$CI_JOB_NAME-$CI_COMMIT_REF_NAME"
    paths:
      - ./*-standalone.jar
      - ./resources
      - ./config
      - ./LICENSE
      - ./README.md
      - ./CONTRIBUTING.md
    expire_in: 1 week
